Module | TkConsole
In: | tk/lib/tk/console.rb

### Methods

create eval hide maininterp_eval maininterp_record show title

### Included Modules

Tk

### Constants

TkCommandNames | = | ['console'.freeze, 'consoleinterp'.freeze].freeze

### Public Class methods

create()

[Source]

    # File tk/lib/tk/console.rb, line 12
      def self.create
        TkCore::INTERP._create_console
      end

eval(tcl_script)

[Source]

    # File tk/lib/tk/console.rb, line 26
      def self.eval(tcl_script)
        #
        # supports a Tcl script only
        # I have no idea to support a Ruby script seamlessly.
        #
        _fromUTF8(tk_call_without_enc('console', 'eval',
                                      _get_eval_enc_str(tcl_script)))
      end

hide()

[Source]

    # File tk/lib/tk/console.rb, line 20
      def self.hide
        tk_call_without_enc('console', 'hide')
      end

maininterp_eval(tcl_script)

[Source]

    # File tk/lib/tk/console.rb, line 34
      def self.maininterp_eval(tcl_script)
        #
        # supports a Tcl script only
        # I have no idea to support a Ruby script seamlessly.
        #
        _fromUTF8(tk_call_without_enc('consoleinterp', 'eval',
                                      _get_eval_enc_str(tcl_script)))

      end

maininterp_record(tcl_script)

[Source]

    # File tk/lib/tk/console.rb, line 43
      def self.maininterp_record(tcl_script)
        #
        # supports a Tcl script only
        # I have no idea to support a Ruby script seamlessly.
        #
        _fromUTF8(tk_call_without_enc('consoleinterp', 'record',
                                      _get_eval_enc_str(tcl_script)))

      end

show()

[Source]

    # File tk/lib/tk/console.rb, line 23
      def self.show
        tk_call_without_enc('console', 'show')
      end

title(str=None)

[Source]

    # File tk/lib/tk/console.rb, line 17
      def self.title(str=None)
        tk_call 'console', str
      end

[Validate]